// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

/// This file is meant to be `part`-ed in a file that
///
/// 1. `import`s `console.dart`
/// 2. defines a top-level function called [suite], which either returns
///    a [List] of [NullaryFunction]s, or a [TestSuite].
///
/// It is also expected that the file will `import` the Darmatch library
/// and use the `expectThat` and `assumeThat` functions, but strictly speaking,
/// it isn't necessary (the user can always throw `ExpectationFailedException`
/// and/or `AssumptionFailedException` by hand).

main() {
  var rawSuite = suite();
  var testSuite = ConsoleTestSuite.fromRaw(rawSuite);
  var reporter = new ConsoleReporter();
  var runner = new DefaultRunner(reporter);
  runner.run(testSuite);
}
