// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

part of detester.console;

class ConsoleTestSuite {
  /// The [suite] can either be a [TestSuite] or a [List]. If it is a `TestSuite`,
  /// it is returned intact. If it is a `List`, it will be passed to [new TestSuite].
  static fromRaw(suite) {
    if (suite is TestSuite) {
      return suite;
    } else if (suite is List) {
      var script = new Options().script;
      return new TestSuite("<$script>", suite);
    } else {
      throw new DetesterException("Test suite must either be 'TestSuite' or"
          " a 'List' of 'NullaryFunction's, but got ${suite.runtimeType}': $suite");
    }
  }
}
