// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

part of detester.core;

abstract class TestReporter {
  start(TestSuite suite);

  begin(Test test);
  pass(Test test);
  fail(Test test, ExpectationFailedException failedExpectation, StackTrace stackTrace);
  skip(Test test, AssumptionFailedException failedAssumption, StackTrace stackTrace);
  error(Test test, exception, StackTrace stackTrace);

  fatal(exception, StackTrace stackTrace);

  end();
}

class NullReporter implements TestReporter {
  start(TestSuite suite) {}

  begin(Test test) {}
  pass(Test test) {}
  fail(Test test, ExpectationFailedException failedExpectation, StackTrace stackTrace) {}
  skip(Test test, AssumptionFailedException failedAssumption, StackTrace stackTrace) {}
  error(Test test, exception, StackTrace stackTrace) {}

  fatal(exception, StackTrace stackTrace) {}

  end() {}
}
